# AWS公式のDockerイメージを利用
FROM public.ecr.aws/lambda/python:3.12

# pythonの標準出力をバッファリングしないフラグ
ENV PYTHONUNBUFFERED=1
# pythonのバイトコードを生成しないフラグ
ENV PYTHONDONTWRITEBYTECODE=1

# 必要なファイルをイメージにコピー
COPY Pipfile Pipfile.lock main.py ./

# ライブラリインストール
RUN pip install --upgrade pip wheel setuptools  && \
    pip install pipenv --no-cache-dir && \
    pipenv install --system --deploy && \
    pip uninstall -y pipenv virtualenv-clone virtualenv

# lambdaハンドラを起動
CMD [ "main.handler" ]
